import { defineComponent as E, resolveComponent as _, openBlock as h, createBlock as w, withCtx as d, createVNode as n, unref as r, createElementVNode as M, normalizeClass as L, isRef as y, Suspense as R } from "vue";
import { u as Z, p as q, M as B } from "./index-e68e98a5-63813610.mjs";
import { m as u } from "./index-31c5d8f4-81484a53-f4af5d49.mjs";
import { message as i } from "ant-design-vue";
import { H } from "./index-af5384d8-941f50dc-960075a3.mjs";
import { F as P } from "./index-8e931ac9-40caa424-79c53278.mjs";
import { F as V } from "./index-26567e2c-07df88b5-574bdc16.mjs";
import { F as A } from "./index-447ef376-fe4dffda-16b5dc0b.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./index-c1939125.mjs";
import "./Workspace-b0c76eb5-f67e846b.mjs";
import "./index-1621650e-7039da5e.mjs";
import "./Workspace-99d9a434-4191cbd4-63cfdcf4.mjs";
import "./index-ffc3e36c-0324b166-981ff3c3.mjs";
import "./index-d66596a1-70807b3c.mjs";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
import "./index-3f50a766-9d1f7e24.mjs";
import "./index-4b1645f2-4786b02d.mjs";
import "./index-0aa2c910-5cc4f5de.mjs";
import "./index-3052f625-0c0f738d.mjs";
import "./index-0a2e6a7c-a8c7cdfc.mjs";
import "./index-ddd78ab5-0cc5df79.mjs";
import "./index-3b037843-58a1cc80.mjs";
import "./index-7b78a6ac-0a7af145.mjs";
import "./index-1d2124f6-423a2a68.mjs";
import "./index-f555427e-4f68f772.mjs";
import "./types-b6ebfd92-421b591b.mjs";
import "./index-96ae9e92-a37083ab.mjs";
import "./index-00b0b848-c8e6a4d6.mjs";
import "./index-0ae79694-baba3ec4.mjs";
import "./index-7e38709c-6910fac3.mjs";
import "./index-7cb0aa8a-5980b2b2.mjs";
import "./index-99e9a3dd-91e1c9c1.mjs";
import "./index-0d3452ba-6c02e04e.mjs";
import "./ModifyResource-649c9159-c5e1df1f.mjs";
import "./config-f0e1b8af-6020c664.mjs";
import "./Rule-409d4975-64654761.mjs";
import "./index-0c2da789-45d2cc69.mjs";
import "./index-a3356091-37618107.mjs";
import "./index-3b089557-9fae140f.mjs";
import "./index-a174607d-ec2ef331.mjs";
import "./index-69a9221c-a51a5bda.mjs";
import "./index-967e7dbe-0bf70c2f-684797a4.mjs";
import "./index-62af557f-374a8a2b-c7b8518f.mjs";
const G = [
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "tableTitle",
        label: "表单标题"
      }
    }
  },
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "tableName",
        label: "表单名称"
      }
    }
  }
], K = [
  { name: "table_title", label: "表单标题" },
  { name: "table_name", label: "表单名称" },
  { name: "version", label: "版本", align: "center", width: 60 },
  { name: "status", label: "运行状态", align: "center", dict: "运行状态", width: 120 },
  {
    name: "update_time",
    type: "datetime",
    label: "更新时间",
    align: "center",
    width: 180
  }
], Q = [
  { label: "添加", key: "add", icon: "PlusOutlined" },
  { label: "导入", key: "import", icon: "ImportOutlined" },
  { label: "导出", key: "export", icon: "ExportOutlined" }
], W = [
  { label: "编辑", key: "edit" },
  { label: "删除", key: "delete", color: "#f00", confirm: !0 },
  {
    label: "更多",
    children: [
      { label: "数据", key: "readonly" },
      { label: "规则", key: "rule" },
      { label: "授权", key: "auth" }
    ]
  }
], X = [
  {
    name: "运行状态",
    type: "inline",
    items: [
      {
        label: "未开始",
        value: 0,
        tagColor: "warning",
        tag: !0
      },
      {
        label: "运行中",
        value: 1,
        tagColor: "success",
        tag: !0
      },
      {
        label: "已结束",
        value: -1,
        tagColor: "error",
        tag: !0
      }
    ]
  }
], Y = /* @__PURE__ */ E({
  name: "FormDesign",
  __name: "index",
  setup(ee) {
    const C = ref(), x = ref([]), m = ref({
      page: 1,
      size: 10
    }), l = ref(!1), c = ref(!1), f = ref(!1), O = ref(0), v = ref(!1), s = ref(""), F = ref(), k = ref(""), g = ref(), p = async () => {
      v.value = !0;
      try {
        const t = await u.searchFormDesign(m.value);
        O.value = t.total, x.value = t.list;
      } catch (t) {
        i.error(t.msg);
      } finally {
        v.value = !1;
      }
    }, z = async (t) => {
      try {
        const e = t.target.files[0];
        if (!S(e.name, ["json"])) {
          i.warning("只能导入json格式文件！");
          return;
        }
        const a = await u.formDesignImport(e), b = (a == null ? void 0 : a.failedIds) || [];
        b.length != 0 ? i.warning(`${b.join(",")}导入失败，其余都已成功导入！`, 10) : i.success("导入成功！"), p();
      } catch (e) {
        i.error(e.msg);
      }
      t.target.value = "";
    }, D = (t) => {
      const e = {
        page: 1,
        size: 10
      };
      t.forEach((a) => {
        e[a.name] = a.value;
      }), m.value = { ...e }, p();
    }, N = ({ key: t, data: e }) => {
      switch (s.value = t, g.value = e, t) {
        case "delete":
          j(e);
          break;
        case "edit":
          I(e);
          break;
        case "readonly":
          l.value = !0;
          break;
        case "rule":
          c.value = !0;
          break;
        case "auth":
          f.value = !0;
          break;
      }
    }, U = ({ key: t, data: e }) => {
      switch (t) {
        case "import":
          C.value.click();
          break;
        case "export":
          T(e);
          break;
        case "add":
          s.value = t, k.value = "添加表单", l.value = !0;
          break;
      }
    };
    async function j({ _id: t }) {
      try {
        await u.deleteFormDesign(t), i.success("删除成功！"), p();
      } catch (e) {
        i.error(e.msg);
      }
    }
    async function I(t) {
      try {
        const e = await u.queryFormDesign(t._id);
        F.value = e, k.value = "编辑表单", l.value = !0;
      } catch (e) {
        i.error(e.msg);
      }
    }
    function S(t, e) {
      if (!t)
        return !1;
      let a = t.substring(t.lastIndexOf(".") + 1, t.length);
      return a = a.toLocaleLowerCase(), e.includes(a);
    }
    function T(t) {
      if (t.length === 0) {
        i.warning("请选择要导出的表单定义！");
        return;
      }
      u.formDesignExport(t);
    }
    return onMounted(() => {
      p();
    }), (t, e) => {
      const a = _("a-modal"), b = _("a-drawer"), $ = _("a-card");
      return h(), w($, {
        title: "表单管理",
        class: "form-design-max"
      }, {
        default: d(() => [
          n(q, {
            fields: r(G),
            onSearch: D
          }, null, 8, ["fields"]),
          M("input", {
            type: "file",
            ref_key: "import_file",
            ref: C,
            onInput: e[0] || (e[0] = (o) => z(o)),
            accept: ".json",
            style: { display: "none" }
          }, null, 544),
          n(B, {
            data: r(x),
            fields: r(K),
            "table-operators": r(Q),
            "record-operators": r(W),
            "page-current": r(m).page,
            "onUpdate:pageCurrent": e[1] || (e[1] = (o) => r(m).page = o),
            "page-size": r(m).size,
            "onUpdate:pageSize": e[2] || (e[2] = (o) => r(m).size = o),
            onRefresh: p,
            loading: r(v),
            dicts: r(X),
            total: r(O),
            "allow-select": "",
            "y-offset": 390,
            onRecordOperatorClick: N,
            onTableOperatorClick: U
          }, null, 8, ["data", "fields", "table-operators", "record-operators", "page-current", "page-size", "loading", "dicts", "total"]),
          n(a, {
            destroyOnClose: "",
            maskClosable: !1,
            getContainer: ".form-design-max",
            class: L(["form-design-model", { "form-design-model-data": r(s) === "readonly" }]),
            open: r(l),
            "onUpdate:open": e[4] || (e[4] = (o) => y(l) ? l.value = o : null),
            title: r(k),
            footer: null
          }, {
            default: d(() => [
              r(s) === "readonly" ? (h(), w(R, { key: 0 }, {
                default: d(() => [
                  n(H, {
                    "form-name": r(g)._id
                  }, null, 8, ["form-name"])
                ]),
                _: 1
              })) : (h(), w(P, {
                key: 1,
                open: r(l),
                "onUpdate:open": e[3] || (e[3] = (o) => y(l) ? l.value = o : null),
                onGetList: p,
                type: r(s),
                data: r(F)
              }, null, 8, ["open", "type", "data"]))
            ]),
            _: 1
          }, 8, ["class", "open", "title"]),
          n(b, {
            open: r(c),
            "onUpdate:open": e[5] || (e[5] = (o) => y(c) ? c.value = o : null),
            rootClassName: "form-design-rule",
            getContainer: ".form-design-max",
            title: "资源权限规则",
            placement: "right",
            destroyOnClose: "",
            maskClosable: !1
          }, {
            default: d(() => {
              var o;
              return [
                n(V, {
                  formName: (o = r(g)) == null ? void 0 : o._id
                }, null, 8, ["formName"])
              ];
            }),
            _: 1
          }, 8, ["open"]),
          n(a, {
            destroyOnClose: "",
            maskClosable: !1,
            getContainer: ".form-design-max",
            class: "role-model",
            open: r(f),
            "onUpdate:open": e[6] || (e[6] = (o) => y(f) ? f.value = o : null),
            title: "授权角色",
            style: { width: "800px" },
            footer: null
          }, {
            default: d(() => {
              var o;
              return [
                n(A, {
                  formName: (o = r(g)) == null ? void 0 : o._id
                }, null, 8, ["formName"])
              ];
            }),
            _: 1
          }, 8, ["open"])
        ]),
        _: 1
      });
    };
  }
}), J = /* @__PURE__ */ Z(Y, [["__scopeId", "data-v-a22316a5"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/index.vue"]]), zt = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: J
}, Symbol.toStringTag, { value: "Module" }));
export {
  zt as _
};
