import { defineComponent as E, resolveComponent as _, openBlock as h, createBlock as C, withCtx as d, createVNode as i, unref as r, createElementVNode as M, normalizeClass as R, isRef as y, Suspense as L } from "vue";
import { u as q, p as B, M as G } from "./index-c1939125.mjs";
import { p as u } from "./index-4b1645f2-4786b02d.mjs";
import { message as n } from "ant-design-vue";
import { H } from "./index-3f50a766-9d1f7e24.mjs";
import { F as P } from "./index-3052f625-0c0f738d.mjs";
import { F as V } from "./index-ddd78ab5-0cc5df79.mjs";
import { F as J } from "./index-0a2e6a7c-a8c7cdfc.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "lodash";
import "mitt";
import "@ant-design/icons-vue";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
import "./index-3b037843-58a1cc80.mjs";
import "./index-0aa2c910-5cc4f5de.mjs";
import "./Workspace-b0c76eb5-f67e846b.mjs";
import "./index-1621650e-7039da5e.mjs";
const K = [
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "tableTitle",
        label: "表单标题"
      }
    }
  },
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "tableName",
        label: "表单名称"
      }
    }
  }
], W = [
  { name: "table_title", label: "表单标题" },
  { name: "table_name", label: "表单名称" },
  { name: "version", label: "版本", align: "center", width: 60 },
  { name: "status", label: "运行状态", align: "center", dict: "运行状态", width: 120 },
  {
    name: "update_time",
    type: "datetime",
    label: "更新时间",
    align: "center",
    width: 180
  }
], X = [
  { label: "添加", key: "add", icon: "PlusOutlined" },
  { label: "导入", key: "import", icon: "ImportOutlined" },
  { label: "导出", key: "export", icon: "ExportOutlined" }
], Y = [
  { label: "编辑", key: "edit" },
  { label: "删除", key: "delete", color: "#f00", confirm: !0 },
  {
    label: "更多",
    children: [
      { label: "数据", key: "readonly" },
      { label: "规则", key: "rule" },
      { label: "授权", key: "auth" }
    ]
  }
], Z = [
  {
    name: "运行状态",
    type: "inline",
    items: [
      {
        label: "未开始",
        value: 0,
        tagColor: "warning",
        tag: !0
      },
      {
        label: "运行中",
        value: 1,
        tagColor: "success",
        tag: !0
      },
      {
        label: "已结束",
        value: -1,
        tagColor: "error",
        tag: !0
      }
    ]
  }
], A = /* @__PURE__ */ E({
  name: "FormDesign",
  __name: "index",
  setup(ee) {
    const w = ref(), x = ref([]), s = ref({
      page: 1,
      size: 10
    }), l = ref(!1), c = ref(!1), f = ref(!1), O = ref(0), v = ref(!1), p = ref(""), F = ref(), k = ref(""), g = ref(), m = async () => {
      v.value = !0;
      try {
        const t = await u.searchFormDesign(s.value);
        O.value = t.total, x.value = t.list;
      } catch (t) {
        n.error(t.msg);
      } finally {
        v.value = !1;
      }
    }, z = async (t) => {
      try {
        const e = t.target.files[0];
        if (!S(e.name, ["json"])) {
          n.warning("只能导入json格式文件！");
          return;
        }
        const o = await u.formDesignImport(e), b = (o == null ? void 0 : o.failedIds) || [];
        b.length != 0 ? n.warning(`${b.join(",")}导入失败，其余都已成功导入！`, 10) : n.success("导入成功！"), m();
      } catch (e) {
        n.error(e.msg);
      }
      t.target.value = "";
    }, D = (t) => {
      const e = {
        page: 1,
        size: 10
      };
      t.forEach((o) => {
        e[o.name] = o.value;
      }), s.value = { ...e }, m();
    }, N = ({ key: t, data: e }) => {
      switch (p.value = t, g.value = e, t) {
        case "delete":
          I(e);
          break;
        case "edit":
          j(e);
          break;
        case "readonly":
          l.value = !0;
          break;
        case "rule":
          c.value = !0;
          break;
        case "auth":
          f.value = !0;
          break;
      }
    }, U = ({ key: t, data: e }) => {
      switch (t) {
        case "import":
          w.value.click();
          break;
        case "export":
          T(e);
          break;
        case "add":
          p.value = t, k.value = "添加表单", l.value = !0;
          break;
      }
    };
    async function I({ _id: t }) {
      try {
        await u.deleteFormDesign(t), n.success("删除成功！"), m();
      } catch (e) {
        n.error(e.msg);
      }
    }
    async function j(t) {
      try {
        const e = await u.queryFormDesign(t._id);
        F.value = e, k.value = "编辑表单", l.value = !0;
      } catch (e) {
        n.error(e.msg);
      }
    }
    function S(t, e) {
      if (!t)
        return !1;
      let o = t.substring(t.lastIndexOf(".") + 1, t.length);
      return o = o.toLocaleLowerCase(), e.includes(o);
    }
    function T(t) {
      if (t.length === 0) {
        n.warning("请选择要导出的表单定义！");
        return;
      }
      u.formDesignExport(t);
    }
    return onMounted(() => {
      m();
    }), (t, e) => {
      const o = _("a-modal"), b = _("a-drawer"), $ = _("a-card");
      return h(), C($, {
        title: "表单管理",
        class: "form-design-max"
      }, {
        default: d(() => [
          i(B, {
            fields: r(K),
            onSearch: D
          }, null, 8, ["fields"]),
          M("input", {
            type: "file",
            ref_key: "import_file",
            ref: w,
            onInput: e[0] || (e[0] = (a) => z(a)),
            accept: ".json",
            style: { display: "none" }
          }, null, 544),
          i(G, {
            data: r(x),
            fields: r(W),
            "table-operators": r(X),
            "record-operators": r(Y),
            "page-current": r(s).page,
            "onUpdate:pageCurrent": e[1] || (e[1] = (a) => r(s).page = a),
            "page-size": r(s).size,
            "onUpdate:pageSize": e[2] || (e[2] = (a) => r(s).size = a),
            onRefresh: m,
            loading: r(v),
            dicts: r(Z),
            total: r(O),
            "allow-select": "",
            "y-offset": 390,
            onRecordOperatorClick: N,
            onTableOperatorClick: U
          }, null, 8, ["data", "fields", "table-operators", "record-operators", "page-current", "page-size", "loading", "dicts", "total"]),
          i(o, {
            destroyOnClose: "",
            maskClosable: !1,
            getContainer: ".form-design-max",
            class: R(["form-design-model", { "form-design-model-data": r(p) === "readonly" }]),
            open: r(l),
            "onUpdate:open": e[4] || (e[4] = (a) => y(l) ? l.value = a : null),
            title: r(k),
            footer: null
          }, {
            default: d(() => [
              r(p) === "readonly" ? (h(), C(L, { key: 0 }, {
                default: d(() => [
                  i(H, {
                    "form-name": r(g)._id
                  }, null, 8, ["form-name"])
                ]),
                _: 1
              })) : (h(), C(P, {
                key: 1,
                open: r(l),
                "onUpdate:open": e[3] || (e[3] = (a) => y(l) ? l.value = a : null),
                onGetList: m,
                type: r(p),
                data: r(F)
              }, null, 8, ["open", "type", "data"]))
            ]),
            _: 1
          }, 8, ["class", "open", "title"]),
          i(b, {
            open: r(c),
            "onUpdate:open": e[5] || (e[5] = (a) => y(c) ? c.value = a : null),
            rootClassName: "form-design-rule",
            getContainer: ".form-design-max",
            title: "资源权限规则",
            placement: "right",
            destroyOnClose: "",
            maskClosable: !1
          }, {
            default: d(() => {
              var a;
              return [
                i(V, {
                  formName: (a = r(g)) == null ? void 0 : a._id
                }, null, 8, ["formName"])
              ];
            }),
            _: 1
          }, 8, ["open"]),
          i(o, {
            destroyOnClose: "",
            maskClosable: !1,
            getContainer: ".form-design-max",
            class: "role-model",
            open: r(f),
            "onUpdate:open": e[6] || (e[6] = (a) => y(f) ? f.value = a : null),
            title: "授权角色",
            style: { width: "800px" },
            footer: null
          }, {
            default: d(() => {
              var a;
              return [
                i(J, {
                  formName: (a = r(g)) == null ? void 0 : a._id
                }, null, 8, ["formName"])
              ];
            }),
            _: 1
          }, 8, ["open"])
        ]),
        _: 1
      });
    };
  }
}), Q = /* @__PURE__ */ q(A, [["__scopeId", "data-v-a22316a5"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/index.vue"]]), Ze = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Q
}, Symbol.toStringTag, { value: "Module" }));
export {
  Ze as _
};
