import { defineComponent as f, resolveComponent as u, openBlock as d, createElementBlock as v, createVNode as K, unref as l, createBlock as _, isRef as p, createCommentVNode as q } from "vue";
import { u as h } from "./index-c1939125.mjs";
const C = { class: "table-box" }, S = /* @__PURE__ */ f({
  __name: "index",
  props: {
    tableData: { type: Array, required: !0 },
    columns: { type: Array, required: !0 },
    selectedRowKeysFlag: { type: Array, required: !0 },
    tableLoading: { type: Boolean, required: !1 },
    total: { type: Number, required: !1 },
    rowKey: { type: String, required: !1, default: "_id" },
    scrollY: { type: [Number, String], required: !1, default: 400 },
    myPagination: { type: String, required: !1 },
    pagination: { type: Boolean, required: !1, default: !1 }
  },
  emits: ["rowClick", "pageSizeChange"],
  setup(y, { emit: m }) {
    let r = ref(1), a = ref(10);
    const n = y, g = computed(() => {
      const e = { scrollToFirstRowOnChange: !0 };
      return n.scrollY && (e.y = `calc(100vh - ${n.scrollY}px)`), e;
    }), i = m, w = computed(() => ({
      columnWidth: 60,
      // selectedRowKeys为被选择的table数据表单的id
      selectedRowKeys: n.selectedRowKeysFlag,
      //当表单被选中时触发，从而去授权、或者取消授权
      onSelect(e, o) {
        i("rowClick", [e[n.rowKey]], o);
      },
      onSelectAll(e, o, c) {
        const s = c.map((t) => t[n.rowKey]);
        i("rowClick", s, e);
      }
    })), b = (e, o) => {
      r.value = e, a.value = o, i("pageSizeChange", e, o);
    };
    return (e, o) => {
      const c = u("a-table"), s = u("a-pagination");
      return d(), v("div", C, [
        K(c, {
          columns: e.columns,
          "data-source": e.tableData,
          loading: e.tableLoading,
          rowKey: e.rowKey,
          scroll: l(g),
          "row-selection": l(w),
          pagination: e.pagination
        }, null, 8, ["columns", "data-source", "loading", "rowKey", "scroll", "row-selection", "pagination"]),
        e.myPagination == "authorizationForm" || e.myPagination == "rule" ? (d(), _(s, {
          key: 0,
          current: l(r),
          "onUpdate:current": o[0] || (o[0] = (t) => p(r) ? r.value = t : r = t),
          "page-size": l(a),
          "onUpdate:pageSize": o[1] || (o[1] = (t) => p(a) ? a.value = t : a = t),
          total: e.total,
          rowKey: e.rowKey,
          "show-total": (t) => `共${t}条`,
          onChange: b
        }, null, 8, ["current", "page-size", "total", "rowKey", "show-total"])) : q("", !0)
      ]);
    };
  }
}), k = /* @__PURE__ */ h(S, [["__scopeId", "data-v-c70abdb9"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/components/ResourceTable/index.vue"]]), x = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: k
}, Symbol.toStringTag, { value: "Module" }));
export {
  x as N,
  k as h
};
