import { a, i as e } from "./index-c1939125.mjs";
const u = {
  // 获取规则数据列表
  async getRules(t) {
    return await a.get(e.LIST, t);
  },
  // 添加数据规则
  async addRule(t) {
    return await a.post(e.ADD, t);
  },
  // 修改数据规则
  async updateRule(t, r) {
    return await a.put(e.UPDATE(t), r);
  },
  // 删除数据规则
  async deleteRule(t) {
    return await a.delete(e.DELETE(t));
  },
  // 获取规则详情
  async getRule(t) {
    return await a.get(e.GET(t));
  },
  // 获取支持的运算符列表
  async getSupportRelation() {
    return await a.get("/dataRule/supportRelation");
  }
};
export {
  u as n
};
