import { defineComponent as ge, withAsyncContext as he, resolveComponent as W, unref as l, openBlock as E, createBlock as R, withCtx as T, createCommentVNode as H, createElementVNode as ke, createVNode as M, isRef as ve, createElementBlock as Fe, Fragment as Oe, createTextVNode as ae } from "vue";
import { u as we, _ as S, p as _e, M as De } from "./index-e68e98a5-63813610.mjs";
import { m as Se } from "./index-31c5d8f4-81484a53-f4af5d49.mjs";
import { keyBy as I, cloneDeep as re, compact as xe } from "lodash";
import { message as k, Modal as Ce } from "ant-design-vue";
const qe = async (r) => r ? await Se.queryFormDesign(r) : void 0, Te = (r, s) => {
  if (!r)
    return !1;
  let o = r.substring(r.lastIndexOf(".") + 1, r.length);
  return o = o.toLocaleLowerCase(), s.includes(o);
}, j = (r, s) => {
  const o = r.map((i) => typeof i == "string" ? s.find(({ key: n }) => n == i) : i);
  return xe(o);
}, Ne = (r, s) => {
  const o = {}, i = {}, n = {};
  let m = [];
  if (r.length != 0) {
    r.forEach((a) => {
      o[a[1]] = a[2], i[a[1]] = a;
    });
    for (let a = 0; a < s.length; a++) {
      const { field: u } = s[a].renderer.options;
      o[u] && (n[u] = o[u], delete o[u]);
    }
    m = Object.keys(o).map((a) => i[a]);
  }
  return {
    defaultFields: n,
    regularFilter: m
  };
}, L = [
  {
    key: "add",
    label: "添加",
    icon: "PlusOutlined"
  },
  {
    key: "download",
    label: "导出",
    icon: "DownloadOutlined"
  },
  {
    key: "import",
    label: "导入",
    icon: "ImportOutlined"
  },
  {
    key: "deletes",
    label: "批量删除",
    icon: "DeleteOutlined"
  }
], U = [
  {
    key: "edit",
    label: "编辑"
  },
  {
    key: "readonly",
    label: "查看"
  },
  {
    key: "delete",
    label: "删除",
    color: "#f00",
    confirm: !0
  }
], Ae = async (r, s) => {
  var o;
  const i = ((o = s == null ? void 0 : s.query) == null ? void 0 : o.form) || r.formName, n = reactive({
    formDef: {},
    formRecordData: {},
    readonly: !1
  }), m = await qe(i);
  if (r.customDicts) {
    const d = {
      ...I(m.dicts, "name"),
      ...I(r.customDicts, "name")
    };
    m.dicts = Object.values(d);
  }
  n.formDef = m;
  const { tableOptions: a } = r, { table: u, dicts: N } = m, x = computed(() => {
    let d = L;
    return a != null && a.tableOperators ? d = j(a.tableOperators, L) : u != null && u.tableOperators && (d = j(x, L)), d;
  }), C = computed(() => {
    let d = U;
    return a != null && a.recordOperators ? d = j(a.recordOperators, U) : u != null && u.recordOperators && (d = j(C, U)), d;
  }), f = {
    searchFields: [],
    tableFields: [],
    outFields: [],
    groups: {}
  };
  if (typeof r.formTableOptionsHandler == "function") {
    const d = await r.formTableOptionsHandler(u), { tableFields: y, outFields: F, searchItems: c, groups: g } = d || {};
    f.searchFields = c || [], f.tableFields = y || [], f.outFields = F || [], f.groups = g || {};
  } else {
    let { tableFields: d, outFields: y, searchItems: F, groups: c } = u || {};
    a != null && a.searchItems && (F = a.searchItems), a != null && a.tableFields && (d = a.tableFields), a != null && a.outFields && (y = a.outFields), a != null && a.groups && (c = a.groups), f.searchFields = F || [], f.tableFields = d || [], f.outFields = y || [], f.groups = c || {};
  }
  const { defaultFields: _, regularFilter: v } = Ne(
    r.initFilter || [],
    f.searchFields
  ), A = (a == null ? void 0 : a.modalWidth) || (u == null ? void 0 : u.modalWidth) || "90%";
  return {
    formName: i,
    formOptions: n,
    dicts: N,
    recordOperators: C,
    tableOperators: x,
    ...f,
    defaultFields: _,
    regularFilter: v,
    modalWidth: A
  };
}, V = "_mis_sub_items", le = function(r) {
  const s = {};
  return Object.keys(r).forEach((o) => {
    o == V ? r[V].forEach((i) => {
      s[i.form] = {
        form: i.form,
        data: i.data.map((n) => le(n))
      };
    }) : s[o] = r[o];
  }), s;
}, $ = function(r) {
  if (!r)
    return;
  const s = {}, o = [];
  return Object.keys(r).forEach((i) => {
    const n = r[i];
    We(n) ? (n.data = n.data.map((m) => $(m)), o.push(n)) : s[i] = n;
  }), o.length > 0 && (s[V] = o), s;
};
function We(r) {
  return r && typeof r == "object" && !Array.isArray(r) && r.form && r.data && Array.isArray(r.data);
}
const Ee = /* @__PURE__ */ ge({
  name: "GTSearchTable",
  __name: "index",
  props: {
    tableOptions: { type: Object, required: !1 },
    formName: { type: String, required: !1 },
    showTitle: { type: Boolean, required: !1, default: !0 },
    yOffset: { type: Number, required: !1, default: 310 },
    searchListWidth: { type: Number, required: !1, default: 300 },
    operatorWidth: { type: Number, required: !1 },
    allowSelect: { type: Boolean, required: !1, default: !0 },
    customDicts: { type: Array, required: !1 },
    formTableOptionsHandler: { type: Function, required: !1 },
    beforeTableData: { type: Function, required: !1 },
    beforeSubmitHandler: { type: Function, required: !1 },
    beforeErrorMsg: { type: Function, required: !1 },
    initFilter: { type: Array, required: !1 }
  },
  emits: ["search-change", "operate"],
  async setup(r, { expose: s, emit: o }) {
    let i, n;
    const m = useRoute(), a = r, u = o, N = ref(), x = ref(), C = ref(), f = ref(!1), _ = ref(!1), v = ref(!1), A = ref(0), d = ref(0), y = ref(""), F = ref([]), c = ref({
      page: {
        pageNum: 1,
        pageSize: 10
      },
      resolveSubItems: !0
    });
    s({ getList: D, tableData: F });
    const {
      formOptions: g,
      dicts: G,
      searchFields: z,
      tableFields: P,
      groups: oe,
      recordOperators: Z,
      tableOperators: J,
      outFields: B,
      defaultFields: ie,
      regularFilter: K,
      formName: O,
      modalWidth: se
    } = ([i, n] = he(() => Ae(a, m)), i = await i, n(), i), Q = computed(() => a.showTitle ? g.formDef.title : ""), ne = computed(() => Q.value ? a.yOffset + 50 + d.value : a.yOffset + d.value), X = computed(() => {
      const t = {
        ...I(Z.value, "key"),
        ...I(J.value, "key")
      };
      return y.value ? t[y.value].label + "数据" : "查看数据";
    }), de = (t) => {
      d.value = t;
    }, ue = async (t) => {
      try {
        const e = t.target.files[0];
        if (!Te(e.name, ["xls", "xlsx", "xlsm"])) {
          k.warning("只能导入Excel表格！");
          return;
        }
        await S.importFormData(O, e), k.success("导入成功！"), D();
      } catch (e) {
        k.error(e.msg);
      }
      t.target.value = "";
    }, ce = (t) => {
      let { field: e, order: p } = t;
      if (e && p) {
        let h = { field: e, direction: p };
        c.value.orders = [h];
      } else
        delete c.value.orders;
      D();
    }, fe = ({ key: t, data: e }) => {
      switch (t) {
        case "edit":
        case "readonly":
          Y(t, e);
          break;
        case "delete":
          ee([e._id]);
          break;
        default:
          u("operate", { key: t, data: e });
          break;
      }
    }, pe = ({ key: t, data: e }) => {
      if (t)
        switch (t) {
          case "add":
            Y(t);
            break;
          case "download":
            ye(e);
            break;
          case "import":
            C.value.click();
            break;
          case "deletes":
            me(e);
            break;
          default:
            u("operate", { key: t, data: e });
            break;
        }
    }, Y = (t, e = {}) => {
      const p = e ? re(e) : "";
      g.formRecordData = le(p), y.value = t, g.readonly = t === "readonly", v.value = !0;
    }, me = (t) => {
      t.length == 0 ? k.warning("请选择要删除的数据！") : Ce.confirm({
        title: "信息",
        content: "是否确定删除已选择的数据？",
        onOk() {
          ee(t);
        },
        onCancel() {
        }
      });
    }, ee = async (t) => {
      try {
        await S.bathDeleteFormData(O, t), D();
      } catch (e) {
        console.log("error :>> ", e), k.error(e.msg);
      }
    }, ye = (t) => {
      let e = {};
      t.length == 0 ? (e = re(c.value), delete e.page) : e = {
        filter: ["in", "_id", t]
      }, Array.isArray(B) && B.length != 0 && (e.outFields = B), e.resolveDic = !1, S.dataDownload(
        `${g.formDef.title || O}-填报数据.xlsx`,
        O,
        e
      );
    }, te = (t) => {
      let e = [];
      t.map(({ name: p, value: h, operator: w }) => {
        let q = [];
        switch (w) {
          case "like":
            q = [w, p, `%${h}%`];
            break;
          default:
            q = [w, p, h];
            break;
        }
        e.push(q);
      }), K.length != 0 && e.push(...K), e.length > 1 ? e.unshift("and") : e = e.flat(1), c.value.filter = e, c.value.page.pageNum = 1, D();
    }, be = async () => {
      _.value = !0;
      const t = await x.value.submit();
      if (t.state) {
        let e = t.data;
        if (typeof a.beforeSubmitHandler == "function" && (e = await a.beforeSubmitHandler(e, y.value)), typeof e > "u") {
          _.value = !1;
          return;
        }
        try {
          y.value == "add" ? await S.addFormData(O, $(e)) : (e._id = g.formRecordData._id, await S.updateFormData(O, $(e))), k.success(`${X.value}成功！`), await D(), v.value = !1;
        } catch ({ msg: p, data: h, code: w }) {
          if (typeof a.beforeErrorMsg == "function")
            a.beforeErrorMsg({ msg: p, data: h, code: w });
          else
            switch (w) {
              case 4011:
                k.error(`${h.fields}不能重复！`);
                break;
              default:
                k.error(p);
                break;
            }
        } finally {
          _.value = !1;
        }
      } else
        _.value = !1;
    };
    async function D() {
      if (O)
        try {
          f.value = !0;
          let t = await S.searchFormData(O, c.value);
          typeof a.beforeTableData == "function" && (t = await a.beforeTableData(t)), A.value = t.total, F.value = t.list;
        } catch (t) {
          k.error(t.msg);
        } finally {
          f.value = !1;
        }
    }
    return onMounted(() => {
      z.length !== 0 ? N.value.submitHandler() : te([]);
    }), (t, e) => {
      const p = W("a-button"), h = W("GTForm"), w = W("a-modal"), q = W("a-card");
      return l(g).formDef ? (E(), R(q, {
        key: 0,
        class: "card-max",
        title: l(Q)
      }, {
        default: T(() => [
          l(z).length != 0 ? (E(), R(_e, {
            key: 0,
            ref_key: "search_box",
            ref: N,
            listWidth: t.searchListWidth,
            fields: l(z),
            onSearch: te,
            onChange: e[0] || (e[0] = (b) => u("search-change", b)),
            defaultFields: l(ie),
            dicts: l(G),
            onAddHeight: de
          }, null, 8, ["listWidth", "fields", "defaultFields", "dicts"])) : H("", !0),
          ke("input", {
            type: "file",
            ref_key: "import_file",
            ref: C,
            onInput: e[1] || (e[1] = (b) => ue(b)),
            accept: "application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
            style: { display: "none" }
          }, null, 544),
          l(P).length != 0 ? (E(), R(De, {
            key: 1,
            fields: l(P),
            data: l(F),
            recordOperators: l(Z),
            tableOperators: l(J),
            onTableOperatorClick: pe,
            onRecordOperatorClick: fe,
            pageCurrent: l(c).page.pageNum,
            "onUpdate:pageCurrent": e[2] || (e[2] = (b) => l(c).page.pageNum = b),
            pageSize: l(c).page.pageSize,
            "onUpdate:pageSize": e[3] || (e[3] = (b) => l(c).page.pageSize = b),
            total: l(A),
            dicts: l(G),
            groups: l(oe),
            allowSelect: t.allowSelect,
            keyField: "_id",
            yOffset: l(ne),
            loading: l(f),
            operatorWidth: t.operatorWidth,
            onRefresh: ce
          }, null, 8, ["fields", "data", "recordOperators", "tableOperators", "pageCurrent", "pageSize", "total", "dicts", "groups", "allowSelect", "yOffset", "loading", "operatorWidth"])) : H("", !0),
          M(w, {
            open: l(v),
            "onUpdate:open": e[5] || (e[5] = (b) => ve(v) ? v.value = b : null),
            title: l(X),
            maskClosable: !1,
            destroyOnClose: "",
            width: l(se),
            getContainer: ".card-max",
            class: "form-modal-box"
          }, {
            footer: T(() => [
              l(y) !== "readonly" ? (E(), Fe(Oe, { key: 0 }, [
                M(p, {
                  key: "back",
                  onClick: e[4] || (e[4] = (b) => v.value = !1)
                }, {
                  default: T(() => [
                    ae("取消")
                  ]),
                  _: 1
                }),
                M(p, {
                  key: "submit",
                  type: "primary",
                  loading: l(_),
                  onClick: be
                }, {
                  default: T(() => [
                    ae("确认")
                  ]),
                  _: 1
                }, 8, ["loading"])
              ], 64)) : H("", !0)
            ]),
            default: T(() => [
              M(h, {
                ref_key: "gt_form",
                ref: x,
                options: l(g)
              }, null, 8, ["options"])
            ]),
            _: 1
          }, 8, ["open", "title", "width"])
        ]),
        _: 1
      }, 8, ["title"])) : H("", !0);
    };
  }
}), He = /* @__PURE__ */ we(Ee, [["__scopeId", "data-v-fa470cbf"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/components/GTSearchTable/index.vue"]]), Re = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: He
}, Symbol.toStringTag, { value: "Module" }));
export {
  Re as B,
  He as H
};
