import { defineComponent as D, resolveComponent as f, openBlock as h, createElementBlock as P, createElementVNode as l, normalizeClass as C, unref as e, createVNode as r, withCtx as i, createBlock as R, createCommentVNode as N, withKeys as q, createTextVNode as k, pushScopeId as A, popScopeId as M } from "vue";
import { R as x } from "./types-b6ebfd92-421b591b-ad02b27d.mjs";
import { R as B } from "./index-ffc3e36c-0324b166-981ff3c3.mjs";
import { message as H } from "ant-design-vue";
import { cloneDeep as T } from "lodash";
import { u as V } from "./index-e68e98a5-63813610.mjs";
import "ant-design-vue/es/locale/zh_CN";
import "mitt";
import "@ant-design/icons-vue";
import "./index-c1939125.mjs";
import "./Workspace-b0c76eb5-f67e846b.mjs";
import "./index-1621650e-7039da5e.mjs";
import "./index-d66596a1-70807b3c.mjs";
import "./_commonjsHelpers-4c55c438.mjs";
import "./index-8e53670e.mjs";
import "./index-4c712f0f.mjs";
import "./index-61d0c837.mjs";
import "./index-f84f8264.mjs";
import "./Xhttp-3961c281.mjs";
import "./index-0bc44ba4.mjs";
import "./index-be33a88b.mjs";
import "./index-4746ada0.mjs";
import "./index-029f6c88.mjs";
import "./Workspace-02eb52fb.mjs";
import "./index-2016de99.mjs";
import "./index-eb746713.mjs";
import "./index-7cdf3d2f.mjs";
import "./index-e910d0a1.mjs";
import "./index-849e8eb6.mjs";
import "./index-8d4265b9.mjs";
import "./index-84e0bb4f.mjs";
import "./types-b6ebfd92.mjs";
import "./index-6cde75cc.mjs";
import "./index-2da0333f.mjs";
import "./index-ca4e7caa.mjs";
import "./index-f4d15496.mjs";
import "./index-28e2d2d8.mjs";
import "./index-99e9a3dd.mjs";
import "./index-53095baf.mjs";
import "./ModifyResource-5db3ac2f.mjs";
import "./config-f0e1b8af.mjs";
import "./Rule-88acd4fa.mjs";
import "./index-b9d81290.mjs";
import "./index-5257c732.mjs";
import "./index-8e54f683.mjs";
import "./index-e7f77db9.mjs";
import "./index-7e242db8.mjs";
import "./index-3f50a766-9d1f7e24.mjs";
import "./index-4b1645f2-4786b02d.mjs";
import "./index-0aa2c910-5cc4f5de.mjs";
import "./index-3052f625-0c0f738d.mjs";
import "./index-0a2e6a7c-a8c7cdfc.mjs";
import "./index-ddd78ab5-0cc5df79.mjs";
import "./index-3b037843-58a1cc80.mjs";
import "./index-7b78a6ac-0a7af145.mjs";
import "./index-1d2124f6-423a2a68.mjs";
import "./index-f555427e-4f68f772.mjs";
import "./types-b6ebfd92-421b591b.mjs";
import "./index-96ae9e92-a37083ab.mjs";
import "./index-00b0b848-c8e6a4d6.mjs";
import "./index-0ae79694-baba3ec4.mjs";
import "./index-7e38709c-6910fac3.mjs";
import "./index-7cb0aa8a-5980b2b2.mjs";
import "./index-99e9a3dd-91e1c9c1.mjs";
import "./index-0d3452ba-6c02e04e.mjs";
import "./ModifyResource-649c9159-c5e1df1f.mjs";
import "./config-f0e1b8af-6020c664.mjs";
import "./Rule-409d4975-64654761.mjs";
import "./index-0c2da789-45d2cc69.mjs";
import "./index-a3356091-37618107.mjs";
import "./index-3b089557-9fae140f.mjs";
import "./index-a174607d-ec2ef331.mjs";
import "./index-69a9221c-a51a5bda.mjs";
var n = /* @__PURE__ */ ((m) => (m.PHONE = "phone", m.USERNAME = "username", m))(n || {});
const O = {
  phone: {
    rules: {
      phone: [
        {
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      phone: "",
      password: ""
    }
  },
  username: {
    rules: {
      username: [
        {
          required: !0,
          message: "请输入用户名"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      username: "",
      password: ""
    }
  }
}, j = (m) => (A("data-v-2abdafa9"), m = m(), M(), m), K = { class: "login-wrapper" }, L = /* @__PURE__ */ j(() => /* @__PURE__ */ l("div", { class: "title" }, "欢迎登录", -1)), $ = { class: "body" }, z = { class: "model_box" }, G = { class: "submit" }, W = { class: "link-wrapper" }, F = /* @__PURE__ */ D({
  __name: "index",
  emits: ["update:status"],
  setup(m, { emit: U }) {
    const w = U, E = useRouter(), S = ref(), v = ref(!1), s = ref(n.USERNAME), a = ref(), y = ref();
    watch(
      s,
      (t) => {
        a.value = T(O[t].formData), y.value = O[t].rules;
      },
      {
        immediate: !0
      }
    );
    const I = async () => {
      try {
        v.value = !0;
        const { username: t, password: o } = a.value;
        let u = await B.login(t, o);
        const { access_token: d, refresh_token: c, user_id: _ } = u;
        localStorage.setItem("access_token", d), localStorage.setItem("refresh_token", c), localStorage.setItem("user_id", _), E.push("/");
      } catch (t) {
        H.error(t.msg);
      } finally {
        v.value = !1;
      }
    }, b = () => {
      var t;
      console.log("router :>> ", E), (t = S.value) == null || t.validate().then(() => {
        I();
      }).catch((o) => {
        console.log("error :>> ", o);
      });
    };
    return (t, o) => {
      const u = f("svg-icon"), d = f("a-input"), c = f("a-form-item"), _ = f("a-form"), g = f("a-button");
      return h(), P("div", K, [
        L,
        l("div", $, [
          l("div", z, [
            l("div", {
              class: C(["model_item", "left", { active: e(s) === e(n).USERNAME }]),
              onClick: o[0] || (o[0] = (p) => s.value = e(n).USERNAME)
            }, " 用户名登录 ", 2),
            l("div", {
              class: C(["model_item", { active: e(s) === e(n).PHONE }]),
              onClick: o[1] || (o[1] = (p) => s.value = e(n).PHONE)
            }, " 手机号登录 ", 2)
          ]),
          r(_, {
            autocomplete: "off",
            model: e(a),
            rules: e(y),
            ref_key: "loginRef",
            ref: S
          }, {
            default: i(() => [
              e(s) === "username" ? (h(), R(c, {
                key: 0,
                name: "username"
              }, {
                default: i(() => [
                  r(d, {
                    value: e(a).username,
                    "onUpdate:value": o[2] || (o[2] = (p) => e(a).username = p),
                    class: "input-item",
                    placeholder: "用户名",
                    allowClear: ""
                  }, {
                    prefix: i(() => [
                      r(u, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : N("", !0),
              e(s) === "phone" ? (h(), R(c, {
                key: 1,
                name: "phone"
              }, {
                default: i(() => [
                  r(d, {
                    value: e(a).phone,
                    "onUpdate:value": o[3] || (o[3] = (p) => e(a).phone = p),
                    class: "input-phone",
                    allClear: "",
                    placeholder: "请输入手机号"
                  }, {
                    prefix: i(() => [
                      r(u, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : N("", !0),
              r(c, { name: "password" }, {
                default: i(() => [
                  r(d, {
                    type: "password",
                    value: e(a).password,
                    "onUpdate:value": o[4] || (o[4] = (p) => e(a).password = p),
                    class: "input-item",
                    placeholder: "密码",
                    allowClear: "",
                    onKeydown: q(b, ["enter"])
                  }, {
                    prefix: i(() => [
                      r(u, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          l("div", G, [
            r(g, {
              type: "primary",
              block: "",
              onClick: b,
              class: "input-item",
              loading: e(v)
            }, {
              default: i(() => [
                k(" 登录 ")
              ]),
              _: 1
            }, 8, ["loading"])
          ]),
          l("div", W, [
            r(g, {
              type: "link",
              onClick: o[5] || (o[5] = (p) => w("update:status", e(x).REGISTER))
            }, {
              default: i(() => [
                k("注册账号")
              ]),
              _: 1
            }),
            r(g, {
              class: "btn-forget-passwd",
              type: "link",
              onClick: o[6] || (o[6] = (p) => w("update:status", e(x).RESET_PASSWD))
            }, {
              default: i(() => [
                k("忘记密码")
              ]),
              _: 1
            })
          ])
        ])
      ]);
    };
  }
}), J = /* @__PURE__ */ V(F, [["__scopeId", "data-v-2abdafa9"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Signing/index.vue"]]), _o = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: J
}, Symbol.toStringTag, { value: "Module" }));
export {
  J as S,
  _o as _
};
